﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microdesk.SkillPortal.DomainModel;
using Microdesk.SkillPortal.DomainPersistence;

namespace Microdesk.SkillPortal.DomainServices
{
    public interface IUserService
    {
        Employee GetEmployeeForCurrentUser();
    }


    public class UserService : IUserService
    {
        private Guid _TEMP_TESTING_GUID = new Guid("11111111-1111-1111-1111-111111111111");
        
        public Employee GetEmployeeForCurrentUser()
        {
            return new EmployeeRepository().GetEmployee(_TEMP_TESTING_GUID);
        }
    }
}
