﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;
using Microdesk.SkillPortal.DomainModel;
using Microdesk.SkillPortal.DomainPersistence;
using Rhino.Commons;

namespace PersitenceTests
{
    [TestFixture]
    public class SkillTypePersistenceTests : RepositoryPersistenceTestBase
    {
        [Test]
        public void CanGetListOfSkills()
        {
            using (UnitOfWork.Start())
            {
                SkillTypeRepository skillTypeRepos = new SkillTypeRepository();

                IList<SkillType> skills = skillTypeRepos.GetAllSkills();

                Assert.GreaterThan(skills.Count, 0);
            }

        }
    }
}
