﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;

namespace Microdesk.SkillPortal.DomainModel.Tests
{
    [TestFixture]
    public class EmployeeTests
    {

        [Test]
        public void CanAddSkillToEmployee()
        {
            Employee emp = new Employee();

            emp.AddSkill(new Skill(new SkillType()));

            Assert.IsNotNull(emp.Skills);
        }

        [Test]
        public void CanCreateEmployeeWithDefaultConstructor()
        {
            Employee emp = new Employee();

            Assert.IsNotNull(emp);
        }

        [Test]
        public void CannotAddToSkillsCollectionDirectly()
        {
            Employee emp = new Employee();

            try
            {
                emp.Skills.Add(new Skill( new SkillType()));
                Assert.Fail("Expected NotSupportedException not thrown!");
            }
            catch (NotSupportedException)
            {
                
            }
        }

    }
}
