﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MbUnit.Framework;

namespace PersitenceTests
{
    [TestFixture]
    [Ignore]
    public class DatabaseMaintenance : Microdesk.Utility.UnitTest.DatabaseUnitTestBase
    {
        [Test]
        public void CreateDatabaseSchemaFromMappingFiles()
        {
            NHibernate.Cfg.Configuration cfg = new NHibernate.Cfg.Configuration();

            cfg.Configure();

            NHibernate.Tool.hbm2ddl.SchemaExport schema = new NHibernate.Tool.hbm2ddl.SchemaExport(cfg);

            schema.Create(false, true);
        }

        [Test]
        public void SaveTheTestDataFileFromDB()
        {
            base.SaveTestDatabase();
        }


        [Test]
        public void LoadTheTestDataintoDB()
        {
            base.LoadTestDatabase();
        }
    }
}
